image: nixos/nix

variables:
  # The repo name as used in
  # https://github.com/nix-community/NUR/blob/master/repos.json
  NUR_REPO: "onny"
  NIXOS_VERSION: "24.05"

pages:
  script:
    - mkdir public
    - ls | grep -v public | xargs cp -r -t public
  artifacts:
    paths:
      - ./public
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
